Skip to content

Create Customer Photo Upload

Required scope: customer_file:create

This is step 1 of the public photo upload flow. Call this first, upload the photo directly to the returned signed URL, then call CompleteCustomerPhotoUpload.

Photos may be at most 10 MB. The declared content type must match a supported image format in the uploaded bytes.

Generated Reference
POST /public-api/publicapi.v1.Customer/CreateCustomerPhotoUpload

Creates a short-lived signed upload URL for a customer photo.

Request CreateCustomerPhotoUploadRequest
Response CreateCustomerPhotoUploadResponse

CreateCustomerPhotoUploadRequest

Field Type
customer_id string
filename string
content_type string
size_bytes int64
visibility CustomerFileVisibility
description string
created_at optional int64
updated_at optional int64

CreateCustomerPhotoUploadResponse

Field Type
upload_id string
upload_url string
storage_key string
expires_at int64
headers map<string, string>
{
"customerId": "be85f4d1-b680-4964-bf62-9828fdf4ce04",
"filename": "inspection-photo.jpg",
"contentType": "image/jpeg",
"sizeBytes": 5242880,
"visibility": "PUBLIC_CUSTOMER_FILE_VISIBILITY_INTERNAL",
"description": "Uploaded from mobile app"
}